# Uses of Record Class
org.apache.lucene.search.suggest.analyzing.FSTUtil.Path

Packages that use FSTUtil.Path
Package
Description
org.apache.lucene.search.suggest.analyzing
Analyzer based autosuggest.

- ## Uses of FSTUtil.Path in org.apache.lucene.search.suggest.analyzing

  Methods in org.apache.lucene.search.suggest.analyzing that return types with arguments of type FSTUtil.Path
  Modifier and Type
  Method
  Description
  `protected List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>>`
  AnalyzingSuggester.`getFullPrefixPaths(List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>> prefixPaths, Automaton lookupAutomaton, FST<PairOutputs.Pair<Long,BytesRef>> fst)`
  Returns all prefix paths to initialize the search.
  `protected List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>>`
  FuzzySuggester.`getFullPrefixPaths(List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>> prefixPaths, Automaton lookupAutomaton, FST<PairOutputs.Pair<Long,BytesRef>> fst)`
  `static <T> List<FSTUtil.Path<T>>`
  FSTUtil.`intersectPrefixPaths(Automaton a, FST<T> fst)`
  Enumerates all minimal prefix paths in the automaton that also intersect the FST, accumulating the FST end node and output for each path.
  Method parameters in org.apache.lucene.search.suggest.analyzing with type arguments of type FSTUtil.Path
  Modifier and Type
  Method
  Description
  `protected List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>>`
  AnalyzingSuggester.`getFullPrefixPaths(List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>> prefixPaths, Automaton lookupAutomaton, FST<PairOutputs.Pair<Long,BytesRef>> fst)`
  Returns all prefix paths to initialize the search.
  `protected List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>>`
  FuzzySuggester.`getFullPrefixPaths(List<FSTUtil.Path<PairOutputs.Pair<Long,BytesRef>>> prefixPaths, Automaton lookupAutomaton, FST<PairOutputs.Pair<Long,BytesRef>> fst)`